﻿using System.IO.IsolatedStorage;
using System.Windows.Navigation;
using Microsoft.Phone.BackgroundTransfer;
using Microsoft.Phone.Controls;

namespace BigPicture
{
    public partial class TransferSettingsPage : PhoneApplicationPage
    {
        public const string Key = "TransferPreferences";
        IsolatedStorageSettings settings = IsolatedStorageSettings.ApplicationSettings;

        public TransferSettingsPage()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs args)
        {
            if (settings.Contains(Key))
            {
                TransferPreferences transferPreferences = (TransferPreferences)settings[Key];
                allowBatteryCheckBox.IsChecked = 0 != (transferPreferences & TransferPreferences.AllowBattery);
                allowCellularCheckBox.IsChecked = 0 != (transferPreferences & TransferPreferences.AllowCellular);
            }

            base.OnNavigatedTo(args);
        }

        protected override void OnNavigatedFrom(NavigationEventArgs args)
        {
            TransferPreferences transferPreferences = TransferPreferences.None;

            if (allowBatteryCheckBox.IsChecked.Value)
                transferPreferences |= TransferPreferences.AllowBattery;

            if (allowCellularCheckBox.IsChecked.Value)
                transferPreferences |= TransferPreferences.AllowCellular;

            settings[Key] = transferPreferences;
            base.OnNavigatedFrom(args);
        }
    }
}